using LHDN.CRM.Web.Controllers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using LHDN.CRM.BC.Common;
using LHDN.CRM.Web.Filters;
using LHDN.CRM.Models.ViewModels;
using LHDN.CRM.BC.Services;

namespace LHDN.CRM.Web.Areas.Outbound.Controllers
{
    public class ListingController : BaseController
    {
        private UserProfileService userSvc = new UserProfileService();
        // GET: Outbound/Listing
        [CRMAuthorize(Constant.Authentication.Outbound.SearchOutboundList, Constant.Authentication.Outbound.ManageCampaign, Constant.Authentication.Outbound.ManageSegmentization)]
        public ActionResult Index()
        {
            AddAntiforgeryToken();
            return View();
        }
    
        [CRMAuthorize(Constant.Authentication.Outbound.ManageCampaign)]
        public ActionResult ReMSBatch()
        {
            ViewBag.IsShowReMSBatchTab = true;
            AddAntiforgeryToken();

            return View("Index");
        }

        [CRMAuthorize(Constant.Authentication.Outbound.ManageSegmentization)]
        public ActionResult SegmentiseList()
        {
            ViewBag.IsShowSegTab = true;

            AddAntiforgeryToken();

            return View("Index");
        }
    }
}